<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript</title>

    <link rel="stylesheet" href="./css/actsTemplate.css">

    <!-- Cambia el directorio del código JavaScript por el tuyo -->
    <script src="js/acts.js"></script>

</head>
<body>
    <div class="contenido">
        <header>            
            <h1>Ejercicios de Strings</h1>

            <!-- Tu nombre aqui -->
            <p>Manuel Jesús de la Fuente</p>
        </header>

        <div class="cards">
            <div class="card" onclick="act1()" ><h4>Actividad 1</h4><p>Realiza un script que pida un texto y determine si esa cadena está formada sólo por mayúsculas, sólo por minúsculas o por una mezcla de ambas.</p></div>
            <div class="card" onclick="act2()" ><h4>Actividad 2</h4><p>Escribir una función ucFirst(str) que devuelva la cadena str con solo el primer caracter en mayúsculas.</p></div>
            <div class="card" onclick="act3()" ><h4>Actividad 3</h4><p>Comprobar palabras spam: Escribe una función checkSpam(str) que devuelva true si str contiene la subcadena ‘viagra’ o ‘XXX’, en otro caso devuelve false.</p></div>
            <div class="card" onclick="act4()" ><h4>Actividad 4</h4><p>Truncar textos: Crear una funcion truncate(str, maxlength) que compruebe la longitud de la cadena str y, si supera maxlength sustituya el final de la cadena str con el caracter elipsis"...", para hacer que tenga una longitud igual a maxlength.</p></div>

            <div class="card" onclick="act5()" ><h4>Actividad 5</h4><p>Realiza un script que pida cadenas de texto hasta que se pulse "cancelar". Al salir con "cancelar" deben mostrarse todas las cadenas concatenadas con un guión '-'.</p></div>
            <div class="card" onclick="act6()" ><h4>Actividad 6</h4><p>Escribe un programa que pida una frase y escriba cuantas veces aparece la letra 'a'.</p></div>
            <div class="card" onclick="act7()" ><h4>Actividad 7</h4><p>Escribe un programa que pida una frase y escriba las vocales que aparecen.</p></div>
            <div class="card" onclick="act8()" ><h4>Actividad 8</h4><p>Escribe un programa que pida una frase y escriba cuántas de las letras que tiene son vocales.</p></div>

            <div class="card" onclick="act9()" ><h4>Actividad 9</h4><p>Escribe un programa que pida una frase y escriba cuántas veces aparecen cada una de las vocales.</p></div>
            <div class="card" onclick="act10()"><h4>Actividad 10</h4><p>Realiza un script que pida una cadena de texto y la muestre poniendo el signo – entre cada carácter sin usar el método replace.</p></div>
            <div class="card" onclick="act11()"><h4>Actividad 11</h4><p>Pedimos una cadena de texto que sabemos que puede contener paréntesis. Realiza un script que extraiga la cadena que se encuentra entre los paréntesis.</p></div>
            <div class="card" onclick="act12()"><h4>Actividad 12</h4><p>Realiza un script que pida una cadena de texto y la devuelva al revés. Es decir, si tecleo “hola que tal” deberá mostrar “lat euq aloh”. No usar ninguna función de strings para resolverlo.</p></div>

            <div class="card" onclick="act13()"><h4>Actividad 13</h4><p>Realiza un script que pida un texto e indique si es un palíndromo.</p></div>
            <div class="card" onclick="act14()"><h4>Actividad 14</h4><p>Realiza un script que muestre la posición de la primera vocal de un texto introducido por teclado.</p></div>
            <div class="card" onclick="act15()"><h4>Actividad 15</h4><p>Realiza el mismo ejercicio anterior pero utilizando el método 'includes'.</p></div>
        </div>
    </div>

</body>
</html>